        {% if entries %}
            <div class="entry-info">
                {% if has_problem %}
                <a onclick="$(&quot;.erroronly&quot;).toggleClass(&quot;hidden&quot;);" class="dt-button"><span class="erroronly btn btn-warning btn-xs hidden">show all</span><span class="erroronly btn btn-success btn-xs">show error only</span></a>
                {% endif %}
            </div>
            <div class="entry-info">
                {% for entry in entries %}
                    {% if entry.entry.warnings or entry.entry.errors or entry.entry.unique %}
                        {% if entry.entry.errors %}
                        <div class="entry-log">
                        {% else %}
                        <div class="entry-log erroronly">
                        {% endif %}
                            <div class="line">
                                <div class="lineno">{{entry.line+1}}</div>  
                                <div class="messages">
                                    <div class="field-info">{{entry.entry.srcdata}}</div>
                                    {% if entry.entry.problem_fields %}
                                        {% for field in entry.entry.problem_fields %}
                                            <div class="field-info">                        
                                                <div class="field">{{field}}</div>
                                                <div class="msglist">
                                                    {% if entry.entry.warnings %}
                                                        {% for msg in entry.entry.warnings[field]%}
                                                        <div class="warning msg">{{msg}}</div>
                                                        {% endfor %}
                                                    {% endif %}
                                                    {% if entry.entry.errors %}
                                                        {% for msg in entry.entry.errors[field]%}
                                                        <div class="error msg">{{msg}}</div>
                                                        {% endfor %}
                                                    {% endif %}
                                                </div>
                                            </div>
                                        {% endfor %}
                                    {% endif %}
                                    {% if entry.entry.duplicated %}
                                            <div class="error msg">Your entry already is in your submission or in the catalog. Please modify your entry or delete using next button.
                                                <button class="deletelinebutton" type="button" name="action" value="delete">delete line</button>
                                            </div>
                                     {% endif %}
                                </div>
                            </div>
                        </div>
                    {% endif %}
                {% endfor %}
            </div>
        {% endif %}
        {% if errors %}
            <div class="entry-info">
                <div class="entry-log">
                    <div class="line">
                        <div class="messages">
                            <div class="field-info"> 
                                <div class="field">{{field}}</div>
                                <div class="msglist">
                                    {% for error in errors %}
                                        <div class="error msg">{{error}}</div> 
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endif %}
